%define revision 2031

Name: telepathy-qt
Version: 0.1.0
Release: %mkrel 0.%revision.1
Epoch: 1
Summary: Base classes for use in connection managers, and proxy classes for use in clients
License: GPL
Group: Networking/Instant messaging
Url: http://telepathy.freedesktop.org/wiki/TelepathyQt
Source: %name-%version.%revision.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: cmake
BuildRequires: qt4-devel
Provides: TelepathyQt = %{version}

%description
Qt4 libraries for use in Telepathy clients and connection managers

#--------------------------------------------------------------------

%define libQtTelepathyClient %mklibname QtTelepathyClient 0

%package -n %libQtTelepathyClient
Summary: Core Decibel library
Group: System/Libraries
Obsoletes: %{_lib}telepathy-qt0

%description -n %libQtTelepathyClient
Core Decibel library.

%post -n %libQtTelepathyClient -p /sbin/ldconfig
%postun -n %libQtTelepathyClient -p /sbin/ldconfig

%files -n %libQtTelepathyClient
%defattr(-,root,root)
%{_libdir}/libQtTelepathyClient.so.*

#--------------------------------------------------------------------

%define libQtTelepathyCommon %mklibname QtTelepathyCommon 0

%package -n %libQtTelepathyCommon
Summary: Core Decibel library
Group: System/Libraries
Obsoletes: %{_lib}telepathy-qt0

%description -n %libQtTelepathyCommon
Core Decibel library.

%post -n %libQtTelepathyCommon -p /sbin/ldconfig
%postun -n %libQtTelepathyCommon -p /sbin/ldconfig

%files -n %libQtTelepathyCommon
%defattr(-,root,root)
%{_libdir}/libQtTelepathyCommon.so.*

#--------------------------------------------------------------------

%define libQtTelepathyCore %mklibname QtTelepathyCore 0

%package -n %libQtTelepathyCore
Summary: Core Decibel library
Group: System/Libraries
Obsoletes: %{_lib}telepathy-qt0

%description -n %libQtTelepathyCore
Core Decibel library.

%post -n %libQtTelepathyCore -p /sbin/ldconfig
%postun -n %libQtTelepathyCore -p /sbin/ldconfig

%files -n %libQtTelepathyCore
%defattr(-,root,root)
%{_libdir}/libQtTelepathyCore.so.*

#--------------------------------------------------------------------

%package devel
Requires: %libQtTelepathyCore = %{epoch}:%{version}
Requires: %libQtTelepathyCommon = %{epoch}:%{version}
Requires: %libQtTelepathyClient = %{epoch}:%{version}
Summary: %{name} development files
Group: Development/Other
Provides: libtelepathy-qt-devel = %{version}
Obsoletes: %{_lib}telepathy-qt-devel

%description devel
Telepathy-qt development files.

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_qt4

%make

%install
rm -fr %buildroot

cd build
%makeinstall_std

%clean
rm -rf %buildroot


%changelog
* Tue Jul 31 2007 Helio Chissini de Castro <helio@mandriva.com> 0.1.0-0.2031.1mdv2008.0
+ Revision: 57172
- Using required revision 2031
- Changed specfile to match other kde specs
- Put correct development version number. Epoch needed

* Tue Jul 10 2007 Funda Wang <fundawang@mandriva.org> 0.14.1-1mdv2008.0
+ Revision: 50811
- New verison

* Thu Jul 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-7.rev2006.1mdv2008.0
+ Revision: 48563
- New snapshot


* Sun Feb 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-7.rev1407.1mdv2007.0
+ Revision: 125615
- SVN snapshot

* Fri Jan 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-6mdv2007.1
+ Revision: 107725
- Rebuild

* Tue Dec 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-5mdv2007.1
+ Revision: 95219
- Fix spec file

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-4mdv2007.1
+ Revision: 95069
- Fix spec file

* Mon Dec 11 2006 Laurent Montel <lmontel@mandriva.com> 0.1.0-3mdv2007.1
+ Revision: 94895
- Add patch to fix build under x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Spec file
    - Fix File list
    - Import telepathy-qt

